Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
fbshot / fbgrab
Results 1 to 5 of 5

Thread: fbshot / fbgrab

  1. #1
    Mentor Stuart's Avatar
    Join Date
    May 2002
    Location
    nb.ca
    Posts
    1,087

    fbshot / fbgrab

    Okay, I am trying to take a screenshot of my pretty bootsplash so I can show off to all you guys.
    Here is what I get when I try to compile fbshot.
    gcc fbshot.c -lpng -lz -o fbshot
    /usr/lib/gcc-lib/i386-slackware-linux/3.2.2/../../../libpng.so: undefined reference
    to `pow'
    collect2: ld returned 1 exit status
    make: *** [all] Error 1
    so I got the bright idea that I would compile fbgrab instead, but that needs splint, and that was bitching about aclocal notbeing on my machine. Grrr.

  2. #2
    Mentor Stuart's Avatar
    Join Date
    May 2002
    Location
    nb.ca
    Posts
    1,087

    Re:fbshot / fbgrab

    here is what splint was bitching about
    stuart@slack:~/splint-3.1.1$ make
    cd . && /bin/sh /home/stuart/splint-3.1.1/config/missing --run aclocal-1.6
    /home/stuart/splint-3.1.1/config/missing: line 46: aclocal-1.6: command not found
    WARNING: `aclocal-1.6' is needed, and you do not seem to have it handy on your
    system. You might have modified some files without having the
    proper tools for further handling them. Check the `README' file,
    it often tells you about the needed prerequirements for installing
    this package. You may also peek at any GNU archive site, in case
    some other package would contain this missing `aclocal-1.6' program.
    make: *** [aclocal.m4] Error 1
    I have Slackware 9 running on this beast, full install..

  3. #3
    Mentor Stuart's Avatar
    Join Date
    May 2002
    Location
    nb.ca
    Posts
    1,087

    Re:fbshot / fbgrab

    and I typed in aclo and smacked tab, and got.
    stuart@slack:~/splint-3.1.1$ aclocal
    aclocal aclocal-1.7
    so can I just point aclocal-1.6 to aclocal-1.7 with a symlink?

  4. #4

    Re:fbshot / fbgrab

    try it and see

    it should work

  5. #5
    Mentor Stuart's Avatar
    Join Date
    May 2002
    Location
    nb.ca
    Posts
    1,087

    Re:fbshot / fbgrab

    Okay, well, I had to symlink that and automake. Now I have a new error! Yay!
    slack:/home/stuart/fbgrab-1.0b1# make
    splint +posixlib fbgrab.c
    Splint 3.1.1 --- 28 Apr 2003

    /usr/include/asm/types.h:11:24: Parse Error:
    Suspect missing struct or union keyword: __signed__ :
    unsigned short int. (For help on parse errors, see splint -help
    parseerrors.)
    *** Cannot continue.
    make: *** [fbgrab] Error 1
    *bangs head in slight frustration*

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •